Subject: squid-gw and http-gw

From: William Jackson <[email-masked]>
Date: Fri, 31 Mar 2000 08:53:58 +0200

[To be removed from this list send the message "unsubscribe fwtk-users" in the
BODY of a mail message to [email-masked].]

this is the story so far
from what I can find out the squid-gw only lets you connect directly to
another cache
and the cache at my ISP is crap.  so that and apart from the other problems
I was having
I left it and started to take a look at http-gw

and now I have problems with that!

my internal squid forwards all non-local traffic to the dmz http-gw

by sniffing on the router I see tcp data go back and forth between the two
so thats working
I then sniffed the exterior router and there was no data going around

so then I sniffed on the machine that hosts the http-gw

and I only saw information from the internal squid

Do you know why the http-gw is not forwarding the requests

here are my configs and an example of what I mean:

netperm:

#rules for http-gw
http-gw:        userid  httpgwuser
http-gw:        groupid httpgwgroup
http-gw:        directory       /export/http-gw
http-gw:        timeout 960
http-gw:        default-httpd   www.gibnet.gi
http-gw:        permit-hosts    172.20.2.*

inetd:
http-gw    stream    tcp    nowait.1000    root    /usr/local/etc/http-gw
http-gw

data I get in /var/adm/messages after I try to connect:

Mar 31 08:19:46 www1 http-gw[3556]: permit host=me.com/172.20.2.7 use of
gateway (V2.1)
Mar 31 08:19:46 www1 http-gw[3556]: log host=me.com/172.20.2.7 protocol=HTTP
cmd=get de
st=www.gibnet.gi path=/members/portfolio.html
Mar 31 08:19:46 www1 http-gw[3556]: failed to connect to http server
www.gibnet.gi (80)
Mar 31 08:19:46 www1 http-gw[3556]: exit host=me.com/172.20.2.7 cmds=1 in=0
out=0 user=
unauth duration=0

as it says above it cant connect and to dispell any DNS or access-list
blunders:

www1:/etc# telnet www.gibnet.gi 80
Trying 195.166.192.1...
Connected to root.gibnet.gi.
Escape character is '^]'.

its got me stumped 

any ideas?
thanks

-----Original Message-----
From: Eberhard Mattes [mailto:[email-masked]]
Sent: 30 March 2000 20:53
To: [email-masked]
Subject: Re: squid-gw

> Hi I am trying to use the squid-gw in my dmz to relay all my internal
cache
> traffic outside

What's your setup, exactly?  squid-gw requires the cache to be
outside or in the DMZ.

> its working except that all my webpages dont have pictures or hyperlinks

*your* webpages? Sample HREF attribute?

> squid-gw:       permit-hosts    x.x.x.x

You should use the IP addresses of your internal machines instead of
"x.x.x.x".

> squid-gw:       deny-destinations *:*sex* -message "Naughty Naughty!"

Well, essex.route66.com is not naughty...

-- 
  Eberhard Mattes <[email-masked]>